Sign in to follow this  
Flyfox

Forced to update to P3DV4.4 by Aerosoft

Recommended Posts

Hello

I recently purchased Aerosoft‘s A320 Professional for P3D. It supported P3DV4.3 only, which was fine for me. Unfortunately, the latest version for V4.3 is still quite buggy. Most flights sooner or later end up with sudden faulty flight maneuvers while being enroute or on approach. But my hope for a more or less bug-free version for V4.3 was in vain. The latest version (which promises solutions to the most severe problems) requires V4.4 to run. In other words I am forced to update my sim to V4.4 if I want to successfully use this aircraft. That‘s a no go for me and I consider giving up on Aerosoft aircraft addons completely. 

Does anybody have similar experience with other P3D addon developers? Is the update to V4.4 inevitable?

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Only if you wish to move forward. As new versions come out, old versions reach EOL and are no longer supported.

This is the way of any type of software. The choice is yours.

Vic

  • Like 1
  • Upvote 2

Share this post


Link to post
Guest
This topic is now closed to further replies.
Sign in to follow this